local M = {}

M.treesitter = {
  ensure_installed = {
    "diff",
    "gitcommit",
    "git_rebase",
    "yaml",
    "toml",
    "dockerfile",
    "python",
    "go",
    "php",
    "make",
    "jq",
    "bash",
    "json5",
    "vim",
    "lua",
    "html",
    "css",
    "javascript",
    "c",
    "markdown",
    "markdown_inline",
  },
  indent = {
    enable = true,
    disable = {
      "python"
    },
  },
}

M.mason = {
  ensure_installed = {
    -- LSP:
    "yaml-language-server",
    "python-lsp-server",
    "lua-language-server",
    "bash-language-server",
    "ansible-language-server",
    "dockerfile-language-server",
    "json-lsp",
    "marksman",
    "terraform-ls",

  -- Formater:
    "yamlfmt",
    "shfmt",
    "fixjson",

  -- Linter:
    "gitlint",
    "yamllint",
    "prettier",
    "markdownlint",
  },
}

-- git support in nvimtree
M.nvimtree = {
  git = {
    enable = true,
  },

  renderer = {
    highlight_git = true,
    icons = {
      show = {
        git = true,
      },
    },
  },
}

return M
